Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.ode.bpel.compiler.bom
Enum Variable.Kind

    java.lang.Object
      java.lang.Enum<Variable.Kind>
          org.apache.ode.bpel.compiler.bom.Variable.Kind

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<Variable.Kind>

Enclosing class:
  Variable

    public static enum Variable.Kind

extends java.lang.Enum<Variable.Kind>

Enum Constant Summary
`ELEMENT`
`MESSAGE`
`SCHEMA`

Method Summary
`static Variable.Kind` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static Variable.Kind[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### SCHEMA

    public static final Variable.Kind SCHEMA

### ELEMENT

    public static final Variable.Kind ELEMENT

### MESSAGE

    public static final Variable.Kind MESSAGE

Method Detail

### values

    public static final Variable.Kind[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(Variable.Kind c : Variable.Kind.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static Variable.Kind valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD